export function maybeTuples(k: any, data: any, options: any, ...args: any[]): any[];
/** @jsdoc raster */
export function raster(...args: any[]): Raster;
export function rasterBounds({ x1, y1, x2, y2 }: {
    x1: any;
    y1: any;
    x2: any;
    y2: any;
}, scales: any, dimensions: any, context: any): any[];
export function sampler(name: any, options?: {}): {
    initializer: any;
    sort?: any;
};
/** @jsdoc interpolateNone */
export function interpolateNone(index: any, width: any, height: any, X: any, Y: any, V: any): any[];
/** @jsdoc interpolatorBarycentric */
export function interpolatorBarycentric({ random }?: {
    random?: (() => number) | undefined;
}): (index: any, width: any, height: any, X: any, Y: any, V: any) => any;
/** @jsdoc interpolateNearest */
export function interpolateNearest(index: any, width: any, height: any, X: any, Y: any, V: any): any;
/** @jsdoc interpolatorRandomWalk */
export function interpolatorRandomWalk({ random, minDistance, maxSteps }?: {
    random?: (() => number) | undefined;
    minDistance?: number | undefined;
    maxSteps?: number | undefined;
}): (index: any, width: any, height: any, X: any, Y: any, V: any) => any;
export class AbstractRaster extends Mark {
    constructor(data: any, channels: any, options: {} | undefined, defaults: any);
    width: any;
    height: any;
    pixelSize: number;
    blur: number;
    interpolate: any;
}
export class Raster extends AbstractRaster {
    constructor(data: any, options?: {});
    imageRendering: any;
    scale(channels: any, { color, ...scales }: {
        [x: string]: any;
        color: any;
    }, context: any): {
        [k: string]: any;
    };
    render(index: any, scales: any, channels: any, dimensions: any, context: any): any;
}
import { Mark } from "../mark.js";
